Subject: Ticket Assigned - Landmark Group
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 04 Aug 2022 14:53:37 +0000

Hi Reenad Alosaimi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group I have emailed before as well about my package not being delivered on time. I want to know when will I get my order because I need it before tomorrow! People from landmark message me on WhatsApp for location but they never reach my location. I live in khobar how is it so difficult to reach here ? I have been getting messages since a week that my order is out for deliver, then after sometime receive message that they were unable to make delivery. Please get them to deliver my order as soon as possible and inform me about when they will deliver it. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4690866